- Home
- API Enriched
- Data Intelligence
- data-intelligence
- Load Executive Summary.
Load Executive Summary.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/di/summary';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"anomalousScorePercentile":1,"flowLabels":[{"flowLabel":"example","platform":"example"}],"granularity":"example","namespace":"example","platform":"example","timeRange":"example","timestamp":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/di/summary \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "anomalousScorePercentile": 1, "flowLabels": [ { "flowLabel": "example", "platform": "example" } ], "granularity": "example", "namespace": "example", "platform": "example", "timeRange": "example", "timestamp": "example" }'Executive summary page for DI premium customers.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace in which the suggestions are scoped.
Request Bodyrequired
Section titled “Request Bodyrequired”Request object to GET executive summary of DI premium customer.
object
Percentile of anomalous score.
FlowLabel for filtering the data.
Message representing flow label information.
object
FlowLabel for filtering the data.
Platform for filtering the data.
Granularity of the data points (“1m”, “5m”, etc.)
Namespace in which the suggestions are scoped.
Platform criteria for filtering the data.
Time range (“1h”, “7d”, etc.)
Unix timestamp (seconds since epoch)
Examplegenerated
{ "anomalousScorePercentile": 1, "flowLabels": [ { "flowLabel": "example", "platform": "example" } ], "granularity": "example", "namespace": "example", "platform": "example", "timeRange": "example", "timestamp": "example"}Responses
Section titled “Responses”A successful response.
Response object to GET executive summary of DI premium customer.
object
Message representing the transaction data.
Message object representing events reason.
object
String representing event category.
Number of such events.
Number of such events percentage.
String representing event reason.
object
Granularity of the data points (“1m”, “5m”, etc.)
Array of data series.
Message object representing series.
object
Array of data points.
Message object representing data point.
object
Unix timestamp (seconds since epoch)
Value at the given timestamp.
Name of the series (“typical”, “bot”, “anomalous”)
object
Number of devices identified as anomalous.
Percentage of anomalous devices over total evaluated devices.
Max anomalous score.
Min anomalous score.
Percentage of anomalous transactions over total evaluated transactions.
Number of transactions identified as anomalous.
Percentage of bot transactions over total evaluated transactions.
Number of transactions identified as bots.
Total number of evaluated devices.
Total number of evaluated transactions.
Examplegenerated
{ "eventsReasons": [ { "category": "example", "eventsCount": 1, "eventsPercentage": 1, "reason": "example" } ], "lineChartData": { "granularity": "example", "series": [ { "data": [ { "timestamp": "example", "value": 1 } ], "name": "example" } ] }, "summary": { "anomalousDevices": 1, "anomalousDevicesPercentage": 1, "anomalousMaxScore": 1, "anomalousMinScore": 1, "anomalousPercentage": 1, "anomalousTransactions": 1, "botPercentage": 1, "botTransactions": 1, "totalEvaluatedDevices": 1, "totalEvaluatedTransactions": 1 }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example